APIAnomaly

Get findings over time

Findings per bucket grouped by severity, counted by the finding's last active bucket (last_bucket).

GET
/anomaly/findings-over-time

Findings per bucket grouped by severity, counted by the finding's last active bucket (last_bucket).

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_anomaly_detection

Query Parameters

start_time*string
Formatdate-time
end_time*string
Formatdate-time
interval?string

Grouping interval for time series data.

Value in"hour""day"

Response Body

The request has succeeded.

application/json
  1. response
series*array<>
Example Request
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/anomaly/findings-over-time?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z'
Example Response
{  "series": [    {      "timestamp": "2019-08-24T14:15:22Z",      "severity": "low",      "count": 0    }  ]}